## wxWindowDC

A wxWindowDC must be constructed if an application wishes to paint on the whole area of a window (client and decorations). This should normally be constructed as a temporary stack object; don't store a wxWindowDC object.

To draw on a window from inside OnPaint, construct a wxPaintDC object.

To draw on the client area of a window from outside OnPaint, construct a wxClientDC object.

To draw on the whole window including decorations, construct a wxWindowDC object (Windows only).

Derived from

wxDC

Include files

<wx/dcclient.h>

See also

wxDC, wxMemoryDC, wxPaintDC, wxClientDC, wxScreenDC

Members

wxWindowDC::wxWindowDC

### wxWindowDC::wxWindowDC

wxWindowDC(wxWindow* window)

Constructor. Pass a pointer to the window on which you wish to paint.